package com.jinhaiqimeng.sysManageMicroservice.util;

import javax.validation.Constraint;
import javax.validation.Payload;
import java.lang.annotation.Documented;
import java.lang.annotation.Retention;
import java.lang.annotation.Target;

import static java.lang.annotation.ElementType.*;
import static java.lang.annotation.RetentionPolicy.RUNTIME;

/**
 * @author cxt
 * @date 2023-10-31 8:38
 */
@Target({FIELD})
@Retention(RUNTIME)
@Documented
@Constraint(validatedBy = {EnumSensitiveWordValidator.class})
public @interface EnumSensitiveWord {
    // 默认错误消息
    String message() default "必须为指定值";

    String value() default "";
    //1 匹配敏感词,错误信息会返回敏感词信息 2:包含敏感词
    int type() default 2;

    // 分组
    Class<?>[] groups() default {};

    // 负载
    Class<? extends Payload>[] payload() default {};
}
